\version "2.18.2"
				%Disably P&C reduces filesize
\pointAndClickOff
				%Paper options
\include "../Boilerplate/typesetting_functions.ly"
\include "../Boilerplate/tree.ly"

\include "Superius.ly"
\include "Altus.ly"
\include "Tenor.ly"
\include "Bassus.ly"
\paper {\paperOne}

sup = {
  \set Staff.instrumentName = "Cantus"
  \clef "treble"
}

con = {
  \set Staff.instrumentName = "Altus"
  \clef "G_8"
}

ten = {
  \set Staff.instrumentName = "Tenor"
  \clef "G_8"
}

bas = {
  \set Staff.instrumentName = "Bassus"
  \clef "bass"
}

Quartet =
#(define-music-function (parser location my-path-to-choir)(string?)
   #{
     \shiftDurations #1 #0 {
     \new StaffGroup = ChoirStaff <<
       { \vocalStaff \stringAppend #my-path-to-choir "/superius" {\sup}}
       { \vocalStaff \stringAppend #my-path-to-choir "/altus" {\con}}
       { \vocalStaff \stringAppend #my-path-to-choir "/tenor" {\ten}}
       { \vocalStaff \stringAppend #my-path-to-choir "/bassus" {\bas}}
     >>
     }
   #})

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Actual staff system starts here
\bookpart {
#(set-global-staff-size 19)
  \header {
    title = "Salve Regina/Ave Regina/Inviolata/Alma Redemptoris"
    composer = "Nicolas Gombert (c. 1495 - 1560)"
    subtitle = "Diversi diversa orant"
    tagline = "Typeset by Breves Dies"
    copyright = \markup {
      \center-column {
      \line {\char ##x00A9 "2014 Breves Dies. This score is released under the Creative Commons Share Alike License CC BY-SA"}
      "https://creativecommons.org/licenses/by-sa/4.0/legalcode"
      }
    }
  }
%%%				%Subsections of the piece
  \score {
    \header {piece = "Scotto 1541"}
    \keepWithTag #'mod
    \Quartet "gombert/salveReginaDDO"
    \layout {\layoutOne}
    \midi {\tempo 2 = 40}
  }
}
